import React from 'react';
import Button from '../../CommonComponent/ButtonComponent/ButtonComponent'
class DefaultComponent extends React.Component{
    constructor(props){
        super(props)
    }
    render(){
        return (
            <div className={'breakageContent'}>
            <p className={'currentTarget col333 font40'} ><span>任务目标:</span>请仔细检查非货道区是否有遗留的商品</p>
            <Button 
                 text={'有,扫码上报'} 
                 btnContainer={'col333 font30 bordere5e5e5'}
                 style={{marginTop:UTILPATH.getRemByPx(150),marginLeft:'50%',transform:'translate(-50%)'}} 
                 option={this.skipInputCode.bind(this)}
            />
            <Button 
                 text={'没有'} 
                 btnContainer={'col333 font30 bordere5e5e5'}
                 style={{marginTop:UTILPATH.getRemByPx(30),marginLeft:'50%',transform:'translate(-50%)'}} 
                 option={this.props.pullTaskList}
            />
         </div>
        )
    }

    //控制显示扫码页面并且显示扫码页
    skipInputCode(){
        this.props.changeCodePage(false);
        this.props.changeSanCodePage('SanCode')
    }
}
export default DefaultComponent;